"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 21.01.22

"""
from django.urls import path

from api.views.v1.views import EmaAPIViewV1, EcoAccountAPIViewV1, CompensationAPIViewV1, InterventionAPIViewV1

app_name = "v1"
urlpatterns = [
    path("intervention/<id>", InterventionAPIViewV1.as_view(), name="intervention"),
    path("intervention/", InterventionAPIViewV1.as_view(), name="intervention"),
    path("compensation/<id>", CompensationAPIViewV1.as_view(), name="compensation"),
    path("compensation/", CompensationAPIViewV1.as_view(), name="compensation"),
    path("ecoaccount/<id>", EcoAccountAPIViewV1.as_view(), name="ecoaccount"),
    path("ecoaccount/", EcoAccountAPIViewV1.as_view(), name="ecoaccount"),
    path("ema/<id>", EmaAPIViewV1.as_view(), name="ema"),
    path("ema/", EmaAPIViewV1.as_view(), name="ema"),
]
